create_npn#

NexximComponents.create_npn(compname=None, value=None, location=None, angle=0, use_instance_id_netlist=False)[source]#

Create an NPN transistor.

Parameters:
compnamestr

Name of the NPN transistor. The default is None.

valuefloat, optional

Value for the NPN transistor. The default is None.

locationlist of float, optional

Position on the X axis and Y axis.

anglefloat, optional

Angle rotation in degrees. The default is 0.

use_instance_id_netlistbool, optional

Whether to use the instance ID in the net list. The default is False.

Returns:
pyaedt.modeler.cad.object3dcircuit.CircuitComponent

Circuit Component Object.

References

>>> oEditor.CreateComponent